> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Search workspace elements by keyword



## OpenAPI

````yaml /api-reference/membrane-api.json get /search
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /search:
    get:
      tags:
        - WorkspaceElementsSearch
      summary: Search workspace elements by keyword
      operationId: searchWorkspaceElements
      parameters:
        - name: q
          required: true
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
        - name: elementType
          required: false
          in: query
          schema:
            type: string
            enum:
              - tenant
              - app
              - connector
              - integration
              - action
              - connection
              - data-table
              - data-table-record
              - data-sync
              - data-sync-run
              - external-event-subscription
              - external-event-log-record
              - external-event-pull
              - external-event-type
              - action-run-log-record
              - external-api-log-record
              - incoming-webhook-log-record
              - connected-product
              - external-agent
              - job
              - deliverable
              - deliverable-type
              - routine
              - task
              - canvas
              - file
              - knowledge-article
              - knowledge-sync
              - knowledge-sync-pull
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            type: integer
        - name: cursor
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponseDto'
components:
  schemas:
    SearchResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              elementType:
                type: string
                enum:
                  - tenant
                  - app
                  - connector
                  - integration
                  - action
                  - connection
                  - data-table
                  - data-table-record
                  - data-sync
                  - data-sync-run
                  - external-event-subscription
                  - external-event-log-record
                  - external-event-pull
                  - external-event-type
                  - action-run-log-record
                  - external-api-log-record
                  - incoming-webhook-log-record
                  - connected-product
                  - external-agent
                  - job
                  - routine
                  - task
                  - canvas
                  - knowledge-article
                  - knowledge-sync
                  - knowledge-sync-pull
              element:
                type: object
            required:
              - elementType
              - element
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````